package ch.unige.solidify.auth.model;

import java.time.OffsetDateTime;

public class AuthLoginInfo implements LoginInfo {

  private OffsetDateTime loginTime;
  private String loginIpAddress;

  public AuthLoginInfo() {
  }

  public AuthLoginInfo(LoginInfo loginInfo) {
    this.loginTime = loginInfo.getLoginTime();
    this.loginIpAddress = loginInfo.getLoginIpAddress();
  }

  @Override
  public OffsetDateTime getLoginTime() {
    return this.loginTime;
  }

  public void setLoginTime(OffsetDateTime loginTime) {
    this.loginTime = loginTime;
  }

  @Override
  public String getLoginIpAddress() {
    return this.loginIpAddress;
  }

  public void setLoginIpAddress(String loginIpAddress) {
    this.loginIpAddress = loginIpAddress;
  }

}
