package ch.unige.solidify.util;

import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;

/**
 * This RestClientTool use no tokens.
 */
@Profile({"client-backend", "test"})
@Component
public class NoTokenRestClientTool extends AbstractRestClientTool {

  @Override
  protected RestTemplateBuilder addToken(RestTemplateBuilder restTemplateBuilder) {
    return restTemplateBuilder;
  }

}
