package ch.unige.solidify.model.index;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import ch.unige.solidify.dto.LabelDTO;

public class FacetProperties implements Serializable {
  private static final long serialVersionUID = 6144380678824550462L;

  private String name;
  private Integer defaultVisibleValues;
  private List<LabelDTO> labels = new ArrayList<>();

  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Integer getDefaultVisibleValues() {
    return this.defaultVisibleValues;
  }

  public void setDefaultVisibleValues(Integer defaultVisibleValues) {
    this.defaultVisibleValues = defaultVisibleValues;
  }

  public List<LabelDTO> getLabels() {
    return this.labels;
  }
}
