package ch.unige.solidify.controller;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ch.unige.solidify.IndexConstants;
import ch.unige.solidify.IndexUrlPath;

@RestController
@ConditionalOnProperty(prefix = "solidify.index", name = "enable")
@RequestMapping(IndexUrlPath.INDEX)
public class IndexController extends ModuleController {

  IndexController() {
    super(IndexConstants.INDEX_MODULE);
  }

}
