package ch.unige.solidify;

public class OAIConstants {

  private OAIConstants() {
    throw new IllegalStateException(SolidifyConstants.TOOL_CLASS);
  }

  // Schema
  public static final String XSL_HOME = "xslt";
  public static final String XSL = "xsl";

  // OAI
  public static final String OAI_MODULE = "oai-info";
  public static final String OAI_PREFIX = "oai";
  public static final String OAI_ORG_UNIT = "orgunit";
  public static final String OAI_DOI_REGISTRATION = "doi-registration";
  public static final String OAI_SEP = ":";

  // OAI resources
  public static final String OAI_RESOURCE = "oai";
  public static final String OAI_PROVIDER = "oai-provider";
  public static final String OAI_SETS = "oai-sets";

  // OAI verbs
  public static final String OAI_IDENTIFY = "Identify";
  public static final String OAI_LIST_METADATA_FORMATS = "ListMetadataFormats";
  public static final String OAI_LIST_IDENTIFIERS = "ListIdentifiers";
  public static final String OAI_GET_RECORD = "GetRecord";
  public static final String OAI_LIST_RECORDS = "ListRecords";
  public static final String OAI_LIST_SETS = "ListSets";

  // OAI parameters
  public static final String OAI_VERB = "verb";
  public static final String OAI_IDENTIFIER = "identifier";
  public static final String OAI_FROM = "from";
  public static final String OAI_TO = "until";
  public static final String OAI_METADATAPREFIX = "metadataPrefix";
  public static final String OAI_SET = "set";
  public static final String OAI_TOKEN = "resumptionToken";
  public static final String OAI_DC = "oai_dc";
  public static final String OAI_DATACITE = "datacite";
  public static final String OAI_SCHEMA_ORG = "schema.org";
  public static final String OAI_VIEW = "smartView";

}
