package ch.unige.solidify;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "solidify.oai-pmh")
public class OAIProperties {
  private int pageSize = 100;
  private boolean xslt = true;

  public int getPageSize() {
    return this.pageSize;
  }

  public boolean isXslt() {
    return this.xslt;
  }

  public void setPageSize(int pageSize) {
    this.pageSize = pageSize;
  }

  public void setXslt(boolean xslt) {
    this.xslt = xslt;
  }
}
