package ch.unige.solidify.auth.model;

import java.time.OffsetDateTime;

public interface UserInfo {
  String getResId();

  String getExternalUid();

  ApplicationRole getApplicationRole();

  String getFirstName();

  String getLastName();

  String getFullName();

  String getEmail();

  String getHomeOrganization();

  boolean isEnabled();

  OffsetDateTime getCreationWhen();

  OffsetDateTime getLastUpdateWhen();

  String getCreationWho();

  String getLastUpdateWho();

}
