package ch.unige.solidify.repository;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.NoRepositoryBean;
import org.springframework.data.repository.PagingAndSortingRepository;

import ch.unige.solidify.rest.JoinResource;

@NoRepositoryBean
public interface JoinRepository<J extends JoinResource<?>> extends PagingAndSortingRepository<J, String>, JpaSpecificationExecutor<J> {
}
