package ch.unige.solidify.security;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import org.springframework.security.access.prepost.PreAuthorize;

import ch.unige.solidify.auth.model.AuthApplicationRole;

@Retention(RetentionPolicy.RUNTIME)
@PreAuthorize("hasAnyAuthority('" + AuthApplicationRole.TRUSTED_CLIENT_ID + "', '" + AuthApplicationRole.ROOT_ID + "')")
public @interface TrustedUserPermissions {
}
