package ch.unige.solidify.service;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public abstract class CompositeNoSqlResourceService<T> extends NoSqlResourceService<T> {
  public <V> Page<V> findByParentId(String parentId, Class<?> parentClass, Class<V> childClass,
          Pageable pageable) {
    throw new UnsupportedOperationException("Missing implementation 'findByParentId' method ("
            + parentClass.getSimpleName() + " -> " + childClass.getSimpleName() + ")");
  }

  public <V> V findByParentIdAndChildId(String parentId, Class<?> parentClass, Class<V> childClass,
          String id) {
    throw new UnsupportedOperationException("Missing implementation 'findByParentIdAndChildId' method ("
            + parentClass.getSimpleName() + " -> " + childClass.getSimpleName() + ")");
  }
}
