package ch.unige.solidify;

public class IndexConstants {

  private IndexConstants() {
    throw new IllegalStateException(SolidifyConstants.TOOL_CLASS);
  }

  // Resources
  public static final String INDEX_MODULE = "index";
  public static final String INDEX_FIELD_ALIASES = "index-field-aliases";
  public static final String SETTING = "settings";
  public static final String INDEX = "indexes";
  public static final String METADATA = "metadata";

  // Actions
  public static final String DELETE_ALL = "delete-all";

  // Default Values
  public static final int ORDER_INCREMENT = 10;

  // Database column name
  public static final String DB_INDEX_FIELD_ALIAS_ID = "indexFieldAliasId";

  // Message
  public static final String BAD_SEARCH_REQUEST = "Bad search request";

  // Search
  public static final String SEARCH_QUERY = "query";
  public static final String SEARCH_FIELD = "field";
  public static final String SEARCH_FROM = "from";
  public static final String SEARCH_TO = "to";
  public static final String SEARCH_SET = "set";
  public static final String SEARCH_CONDITIONS = "conditions";
  public static final String FACET_ORDER_FIELD = "facetOrder";
}
