package ch.unige.solidify.index.indexing.inmemory;

import java.util.HashMap;
import java.util.Map;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;

import ch.unige.solidify.controller.IndexController;
import ch.unige.solidify.model.index.IndexMetadata;

@Profile("index-inmemory")
@Component
@ConditionalOnBean(IndexController.class)
public class IndexData {
  private final Map<String, Map<String, IndexMetadata>> indexes = new HashMap<>();

  public Map<String, Map<String, IndexMetadata>> getIndexes() {
    return indexes;
  }

}
