package ch.unige.solidify.scheduler;

import java.time.OffsetDateTime;

import ch.unige.solidify.rest.Resource;

public interface ScheduledTaskInterface<T extends Resource> {
  void setLastExecutionStart(OffsetDateTime lastExecutionStart);

  OffsetDateTime getLastExecutionStart();

  OffsetDateTime getLastExecutionEnd();

  void setLastExecutionEnd(OffsetDateTime lastExecutionEnd);

  Boolean isEnabled();

  String getResId();

  String getName();

  String getCronExpression();

}
