package ch.unige.solidify.repository;

import org.springframework.stereotype.Repository;

import ch.unige.solidify.model.oai.OAISet;

@Repository
@SuppressWarnings("squid:S1214")
public interface OAISetRepository extends SolidifyRepository<OAISet> {
  // *************
  // ** Queries **
  // *************

  OAISet findByName(String name);

  OAISet findBySpec(String spec);

  // ***************
  // ** Relations **
  // ***************
}
